Subject: bug#49346: headings when using sh-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 04 Jul 2021 15:54:55 +0200

[email-masked] writes:

> I enabled `outline-minor-mode` and found that by default `sh-script`
> uses `*`, `** `, `***` as headings.  Because the headings are not part
> of comments, my bash script breaks if I use headings in this way.
> Headings normally start with the comment character.

`sh-mode' has no support for outlining, so `outline-minor-mode' just
uses the default values for `outline-regexp'.  So I guess this is a
wishlist item for adding support for outlining in `sh-mode'?

Does anybody have a suggestion for what that should be in `sh-mode', or
whether this doesn't really make sense for `sh-mode'?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no